%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global pkgname psutil

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        5.9.0
Release:        2
Summary:        Cross-platform lib for process and system monitoring in Python.
License:        BSD
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
psutil is a module providing an interface for retrieving information on all
running processes and system utilization (CPU, memory, disks, network, users) in
a portable way by using Python, implementing many functionalities offered by
command line tools such as: ps, top, df, kill, free, lsof, free, netstat,
ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.

%package -n %{name}-tests
Summary:        Cross-platform lib for process and system monitoring in Python, test suite

Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-devel >= %{py_major}.%{py_minor}

%description -n %{name}-tests
The test suite for psutil.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.

%package -n %{meta_package}-tests
Summary:       Meta-package for %{name}-tests

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name}-tests = %{version}-%{release}

%description -n %{meta_package}-tests
This is a Meta-package for %{name}-tests package.

%prep
%autosetup -n %{pkgname}-%{version}

# Remove shebangs
find psutil -name \*.py | while read file; do
  sed -i.orig -e '1{/^#!/d}' $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc CREDITS HISTORY.rst README.rst
%{python3_sitearch}/*
%exclude %{python3_sitearch}/%{pkgname}/tests

%files -n %{name}-tests
%defattr(-,root,system,-)
%{python3_sitearch}/%{pkgname}/tests/

%files -n %{meta_package}
%defattr(-,root,system,-)
#Empty

%files -n %{meta_package}-tests
#Empty

%changelog
* Tue Mar 14 2023 Reshma V Kumar<reskumar@in.ibm.com> - 5.9.0-2
- psutil for python3.9
